Package twisted :: Package internet :: Module protocol :: Class DatagramProtocol

[frames | no frames]

## Class DatagramProtocol

    AbstractDatagramProtocol --+
                               |
                              DatagramProtocol

Known Subclasses:
  `Base`, `ConnectedDatagramProtocol`

Protocol for datagram-oriented transport, e.g. UDP.

Method Summary
| ``connectionRefused`(self)` Called due to error from write in connected mode.
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``datagramReceived`(self, datagram, addr)` Called when a datagram is received.
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
Inherited from AbstractDatagramProtocol
`int` | `noisy` = 1
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Method Details

### connectionRefused(self)

Called due to error from write in connected mode.

Note this is a result of ICMP message generated by *previous* write.

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net